### Method

# Gtk BuildableParseContext pop

#### Declaration [src]

    gpointer
    gtk_buildable_parse_context_pop (
      GtkBuildableParseContext* context
    )

#### Description [src]

Completes the process of a temporary sub-parser redirection.

This function exists to collect the user_data allocated by a matching call to gtk_buildable_parse_context_push(). It must be called in the end_element handler corresponding to the start_element handler during which `gtk_buildable_parse_context_push()` was called. You must not call this function from the error callback — the `user_data` is provided directly to the callback in that case.

This function is not intended to be directly called by users interested in invoking subparsers. Instead, it is intended to be used by the subparsers themselves to implement a higher-level interface.

#### Return value

Type: `gpointer`

The user data passed to gtk_buildable_parse_context_push().

The returned data is owned by the instance.
The return value can be `NULL`.